Get a single Ranger policy
curl --request GET \
--url https://api.example.com/api/govern/data-access/policies/{policy_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/govern/data-access/policies/{policy_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/govern/data-access/policies/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policy_id": 123,
"policy_name": "<string>",
"service": "<string>",
"resources": {},
"policyType": 0,
"isEnabled": true,
"isAuditEnabled": true,
"policyItems": [
{}
],
"denyPolicyItems": [
{}
],
"allowExceptions": [
{}
],
"denyExceptions": [
{}
],
"rowFilterPolicyItems": [
{}
],
"dataMaskPolicyItems": [
{}
],
"policyPriority": 0,
"isDenyAllElse": false,
"policyLabels": [
"<string>"
],
"description": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Policy management
Get a single Ranger policy
GET
/
api
/
govern
/
data-access
/
policies
/
{policy_id}
Get a single Ranger policy
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Ranger policy ID.
Response
Successful Response
Ranger policy ID.
Ranger policy name.
Ranger service name.
Policy resource definitions.
0=ACCESS, 1=MASKING, 2=ROWFILTER.
Allow access items.
Deny access items.
Allow exception items.
Deny exception items.
Row filter items.
Masking items.
0=NORMAL, 1=OVERRIDE.
Policy labels.
Was this page helpful?

